> ## Documentation Index
> Fetch the complete documentation index at: https://bunny.net/docs/llms.txt
> Use this file to discover all available pages before exploring further.
# Delete File
> Delete an object from the storage zone. In case the object is a directory all the data in it will be recursively deleted as well.
## OpenAPI
````yaml /api-reference/storage/openapi.json delete /{storageZoneName}/{path}/{fileName}
openapi: 3.0.0
info:
version: 1.0.0
title: bunny.net Edge Storage API
description: >

Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content
delivery platform that truly hops") Edge Storage API. It allows you to
easily upload, download and delete files with just a few lines of code.
API libraries:
These libraries allow quick integration for bunny.net Edge Storage.
Storage Endpoints:
The storage API endpoint depends on the primary storage region of your
storage zone. You can also find this in the FTP & HTTP API Information of
your storage zone.
- Falkenstein: storage.bunnycdn.com
- New York: la.storage.bunnycdn.com
- Los Angeles: la.storage.bunnycdn.com
- Singapore: sg.storage.bunnycdn.com
- Sydney: syd.storage.bunnycdn.com
termsOfService: http://swagger.io/terms/
contact:
name: bunny.net API Team
email: support@bunny.net
url: http://bunny.net
license:
name: MIT
url: http://github.com/gruntjs/grunt/blob/master/LICENSE-MIT
servers:
- url: https://storage.bunnycdn.com/
security:
- AccessKeyAuthentication: []
paths:
/{storageZoneName}/{path}/{fileName}:
delete:
tags:
- Manage Files
summary: Delete File
description: >-
Delete an object from the storage zone. In case the object is a
directory all the data in it will be recursively deleted as well.
parameters:
- name: storageZoneName
in: path
description: The name of your storage zone where you are connecting to.
required: true
schema:
type: string
- name: path
in: path
description: >-
The directory path to your file. If this is the root of your storage
zone, you can ignore this parameter.
required: true
schema:
type: string
- name: fileName
in: path
description: The name of the file that you wish to delete.
required: true
schema:
type: string
- name: AccessKey
in: header
required: true
description: The API AccessKey used for authentication.
schema:
type: string
- name: allowRootDelete
in: query
required: false
description: >-
Set to `true` to bypass the root directory deletion guard and delete
the storage zone root (`/`).
schema:
type: string
enum:
- 'true'
- name: allowRootDelete
in: header
required: false
description: >-
Set to `true` to bypass the root directory deletion guard and delete
the storage zone root.
schema:
type: string
enum:
- 'true'
responses:
'200':
description: Object was successfully deleted
'400':
description: Object delete failed
components:
securitySchemes:
AccessKeyAuthentication:
type: apiKey
in: header
name: AccessKey
description: >-
The storage zone password also doubles as your API key. You can find it
in your storage zone details page in the bunny.net dashboard.
````
This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.